ROHTO BUGS - Bug #2052

[HR-REPORT PMS INDIVIDU] minta di list apa aja yang harus di deploy ke rohto production

03/07/2023 01:53 PM - Muhammad Bintar

Status: Closed Start date: 03/07/2023
Priority: Urgent Due date: 03/10/2023
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

dear tim developer mohon support nya untuk me list apa saja yang harus di deploy ke production.

karena sudah deploy SP teteapi nama masih belum berubah.
History

#1 - 03/07/2023 02:09 PM - M Azid Wahyudi
- Status changed from New to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

dear masbin , udah bisa di test ya di client udah di deploy ke sana

package :
update function GetPositionHead

berikut updatenya :

ALTER FUNCTION [dbo].[GetPositionHead]
(

@org_unit varchar(8),

@key_date varchar(8)

)
RETURNS varchar(8)
AS

--DECLARE @org_unit varchar(8) = '00000002'
--DECLARE @key_date varchar(8) = '20170829'

BEGIN
-- Declare the return variable here
DECLARE @position_head varchar(8)

—— Add the T-SQL statements to compute the return value here
——SELECT @position_head = dbo.[GetObjRel] (Gorg_unit,'0','A','001','P',@key_date)
SELECT @position_head = 02.RelationshipObject
FROM dbo.PHROM0002 02 INNER JOIN
dbo.PHROMO00O1 O1 ON O2.RelationshipObject = 01l.0ObjectID

AND Ol.StartDate <= (@key_date
AND Ol.EndDate >= @key_date
AND Ol.0ObjectClass = 'P'
AND Ol.PositionHead = '1'
WHERE 0O2.0bjectID = @Qorg_unit
AND 02.0bjectClass = 'O'
AND O2.RelationshipDirectory = 'A'
AND 02.RelationshipType = '001"'
AND O2.RelationshipClass = 'P'
AND O2.StartDate <= (@key_date
AND O2.EndDate >= (@key_date
SET @position_head = ISNULL (@position_head,'"')
-— Return the result of the function
RETURN (@position_head

END

makasih

#2 - 10/21/2024 10:39 AM - Muhammad Bintar
- Status changed from QA Test to Closed
